<?php
$tdatastockoutdetail = array();
$tdatastockoutdetail[".searchableFields"] = array();
$tdatastockoutdetail[".ShortName"] = "stockoutdetail";
$tdatastockoutdetail[".OwnerID"] = "";
$tdatastockoutdetail[".OriginalTable"] = "stockoutdetail";


$tdatastockoutdetail[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatastockoutdetail[".originalPagesByType"] = $tdatastockoutdetail[".pagesByType"];
$tdatastockoutdetail[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatastockoutdetail[".originalPages"] = $tdatastockoutdetail[".pages"];
$tdatastockoutdetail[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatastockoutdetail[".originalDefaultPages"] = $tdatastockoutdetail[".defaultPages"];

//	field labels
$fieldLabelsstockoutdetail = array();
$fieldToolTipsstockoutdetail = array();
$pageTitlesstockoutdetail = array();
$placeHoldersstockoutdetail = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstockoutdetail["English"] = array();
	$fieldToolTipsstockoutdetail["English"] = array();
	$placeHoldersstockoutdetail["English"] = array();
	$pageTitlesstockoutdetail["English"] = array();
	$fieldLabelsstockoutdetail["English"]["StockoutdetailID"] = "Stockoutdetail ID";
	$fieldToolTipsstockoutdetail["English"]["StockoutdetailID"] = "";
	$placeHoldersstockoutdetail["English"]["StockoutdetailID"] = "";
	$fieldLabelsstockoutdetail["English"]["StockoutID"] = "Stockout ID";
	$fieldToolTipsstockoutdetail["English"]["StockoutID"] = "";
	$placeHoldersstockoutdetail["English"]["StockoutID"] = "";
	$fieldLabelsstockoutdetail["English"]["ProductID"] = "Product ID";
	$fieldToolTipsstockoutdetail["English"]["ProductID"] = "";
	$placeHoldersstockoutdetail["English"]["ProductID"] = "";
	$fieldLabelsstockoutdetail["English"]["Unitname"] = "Unitname";
	$fieldToolTipsstockoutdetail["English"]["Unitname"] = "";
	$placeHoldersstockoutdetail["English"]["Unitname"] = "";
	$fieldLabelsstockoutdetail["English"]["Qty"] = "Qty";
	$fieldToolTipsstockoutdetail["English"]["Qty"] = "";
	$placeHoldersstockoutdetail["English"]["Qty"] = "";
	$fieldLabelsstockoutdetail["English"]["Price"] = "Price";
	$fieldToolTipsstockoutdetail["English"]["Price"] = "";
	$placeHoldersstockoutdetail["English"]["Price"] = "";
	if (count($fieldToolTipsstockoutdetail["English"]))
		$tdatastockoutdetail[".isUseToolTips"] = true;
}


	$tdatastockoutdetail[".NCSearch"] = true;



$tdatastockoutdetail[".shortTableName"] = "stockoutdetail";
$tdatastockoutdetail[".nSecOptions"] = 0;

$tdatastockoutdetail[".mainTableOwnerID"] = "";
$tdatastockoutdetail[".entityType"] = 0;
$tdatastockoutdetail[".connId"] = "eflejob_at_localhost";


$tdatastockoutdetail[".strOriginalTableName"] = "stockoutdetail";

	



$tdatastockoutdetail[".showAddInPopup"] = false;

$tdatastockoutdetail[".showEditInPopup"] = false;

$tdatastockoutdetail[".showViewInPopup"] = false;

	$tdatastockoutdetail[".listAjax"] = true;
//	temporary
//$tdatastockoutdetail[".listAjax"] = false;

	$tdatastockoutdetail[".audit"] = false;

	$tdatastockoutdetail[".locking"] = false;


$pages = $tdatastockoutdetail[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastockoutdetail[".edit"] = true;
	$tdatastockoutdetail[".afterEditAction"] = 1;
	$tdatastockoutdetail[".closePopupAfterEdit"] = 1;
	$tdatastockoutdetail[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastockoutdetail[".add"] = true;
$tdatastockoutdetail[".afterAddAction"] = 1;
$tdatastockoutdetail[".closePopupAfterAdd"] = 1;
$tdatastockoutdetail[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastockoutdetail[".list"] = true;
}



$tdatastockoutdetail[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastockoutdetail[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastockoutdetail[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastockoutdetail[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastockoutdetail[".printFriendly"] = true;
}



$tdatastockoutdetail[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastockoutdetail[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastockoutdetail[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastockoutdetail[".isUseAjaxSuggest"] = true;



									

$tdatastockoutdetail[".ajaxCodeSnippetAdded"] = false;

$tdatastockoutdetail[".buttonsAdded"] = false;

$tdatastockoutdetail[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastockoutdetail[".isUseTimeForSearch"] = false;


$tdatastockoutdetail[".badgeColor"] = "1e90ff";


$tdatastockoutdetail[".allSearchFields"] = array();
$tdatastockoutdetail[".filterFields"] = array();
$tdatastockoutdetail[".requiredSearchFields"] = array();

$tdatastockoutdetail[".googleLikeFields"] = array();
$tdatastockoutdetail[".googleLikeFields"][] = "StockoutdetailID";
$tdatastockoutdetail[".googleLikeFields"][] = "StockoutID";
$tdatastockoutdetail[".googleLikeFields"][] = "ProductID";
$tdatastockoutdetail[".googleLikeFields"][] = "Unitname";
$tdatastockoutdetail[".googleLikeFields"][] = "Qty";
$tdatastockoutdetail[".googleLikeFields"][] = "Price";



$tdatastockoutdetail[".tableType"] = "list";

$tdatastockoutdetail[".printerPageOrientation"] = 0;
$tdatastockoutdetail[".nPrinterPageScale"] = 100;

$tdatastockoutdetail[".nPrinterSplitRecords"] = 40;

$tdatastockoutdetail[".geocodingEnabled"] = false;










$tdatastockoutdetail[".pageSize"] = 20;

$tdatastockoutdetail[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatastockoutdetail[".strOrderBy"] = $tstrOrderBy;

$tdatastockoutdetail[".orderindexes"] = array();


$tdatastockoutdetail[".sqlHead"] = "SELECT StockoutdetailID,  	StockoutID,  	ProductID,  	Unitname,  	Qty,  	Price";
$tdatastockoutdetail[".sqlFrom"] = "FROM stockoutdetail";
$tdatastockoutdetail[".sqlWhereExpr"] = "";
$tdatastockoutdetail[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastockoutdetail[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastockoutdetail[".arrGroupsPerPage"] = $arrGPP;

$tdatastockoutdetail[".highlightSearchResults"] = true;

$tableKeysstockoutdetail = array();
$tableKeysstockoutdetail[] = "StockoutdetailID";
$tdatastockoutdetail[".Keys"] = $tableKeysstockoutdetail;


$tdatastockoutdetail[".hideMobileList"] = array();




//	StockoutdetailID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "StockoutdetailID";
	$fdata["GoodName"] = "StockoutdetailID";
	$fdata["ownerTable"] = "stockoutdetail";
	$fdata["Label"] = GetFieldLabel("stockoutdetail","StockoutdetailID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "StockoutdetailID";

		$fdata["sourceSingle"] = "StockoutdetailID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "StockoutdetailID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockoutdetail["StockoutdetailID"] = $fdata;
		$tdatastockoutdetail[".searchableFields"][] = "StockoutdetailID";
//	StockoutID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "StockoutID";
	$fdata["GoodName"] = "StockoutID";
	$fdata["ownerTable"] = "stockoutdetail";
	$fdata["Label"] = GetFieldLabel("stockoutdetail","StockoutID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "StockoutID";

		$fdata["sourceSingle"] = "StockoutID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "StockoutID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockoutdetail["StockoutID"] = $fdata;
		$tdatastockoutdetail[".searchableFields"][] = "StockoutID";
//	ProductID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "ProductID";
	$fdata["GoodName"] = "ProductID";
	$fdata["ownerTable"] = "stockoutdetail";
	$fdata["Label"] = GetFieldLabel("stockoutdetail","ProductID");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "ProductID";

		$fdata["sourceSingle"] = "ProductID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ProductID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockoutdetail["ProductID"] = $fdata;
		$tdatastockoutdetail[".searchableFields"][] = "ProductID";
//	Unitname
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Unitname";
	$fdata["GoodName"] = "Unitname";
	$fdata["ownerTable"] = "stockoutdetail";
	$fdata["Label"] = GetFieldLabel("stockoutdetail","Unitname");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Unitname";

		$fdata["sourceSingle"] = "Unitname";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Unitname";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockoutdetail["Unitname"] = $fdata;
		$tdatastockoutdetail[".searchableFields"][] = "Unitname";
//	Qty
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Qty";
	$fdata["GoodName"] = "Qty";
	$fdata["ownerTable"] = "stockoutdetail";
	$fdata["Label"] = GetFieldLabel("stockoutdetail","Qty");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Qty";

		$fdata["sourceSingle"] = "Qty";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Qty";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockoutdetail["Qty"] = $fdata;
		$tdatastockoutdetail[".searchableFields"][] = "Qty";
//	Price
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Price";
	$fdata["GoodName"] = "Price";
	$fdata["ownerTable"] = "stockoutdetail";
	$fdata["Label"] = GetFieldLabel("stockoutdetail","Price");
	$fdata["FieldType"] = 5;


	
	
			

		$fdata["strField"] = "Price";

		$fdata["sourceSingle"] = "Price";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Price";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 0;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastockoutdetail["Price"] = $fdata;
		$tdatastockoutdetail[".searchableFields"][] = "Price";


$tables_data["stockoutdetail"]=&$tdatastockoutdetail;
$field_labels["stockoutdetail"] = &$fieldLabelsstockoutdetail;
$fieldToolTips["stockoutdetail"] = &$fieldToolTipsstockoutdetail;
$placeHolders["stockoutdetail"] = &$placeHoldersstockoutdetail;
$page_titles["stockoutdetail"] = &$pageTitlesstockoutdetail;


changeTextControlsToDate( "stockoutdetail" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["stockoutdetail"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["stockoutdetail"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="stockout";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="stockout";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "stockout";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["stockoutdetail"][0] = $masterParams;
				$masterTablesData["stockoutdetail"][0]["masterKeys"] = array();
	$masterTablesData["stockoutdetail"][0]["masterKeys"][]="StockoutID";
				$masterTablesData["stockoutdetail"][0]["detailKeys"] = array();
	$masterTablesData["stockoutdetail"][0]["detailKeys"][]="StockoutID";
		
	//endif
	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="productitem";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="productitem";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "productitem";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["stockoutdetail"][1] = $masterParams;
				$masterTablesData["stockoutdetail"][1]["masterKeys"] = array();
	$masterTablesData["stockoutdetail"][1]["masterKeys"][]="ProductID";
				$masterTablesData["stockoutdetail"][1]["detailKeys"] = array();
	$masterTablesData["stockoutdetail"][1]["detailKeys"][]="ProductID";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_stockoutdetail()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "StockoutdetailID,  	StockoutID,  	ProductID,  	Unitname,  	Qty,  	Price";
$proto0["m_strFrom"] = "FROM stockoutdetail";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "StockoutdetailID",
	"m_strTable" => "stockoutdetail",
	"m_srcTableName" => "stockoutdetail"
));

$proto6["m_sql"] = "StockoutdetailID";
$proto6["m_srcTableName"] = "stockoutdetail";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "StockoutID",
	"m_strTable" => "stockoutdetail",
	"m_srcTableName" => "stockoutdetail"
));

$proto8["m_sql"] = "StockoutID";
$proto8["m_srcTableName"] = "stockoutdetail";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "ProductID",
	"m_strTable" => "stockoutdetail",
	"m_srcTableName" => "stockoutdetail"
));

$proto10["m_sql"] = "ProductID";
$proto10["m_srcTableName"] = "stockoutdetail";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Unitname",
	"m_strTable" => "stockoutdetail",
	"m_srcTableName" => "stockoutdetail"
));

$proto12["m_sql"] = "Unitname";
$proto12["m_srcTableName"] = "stockoutdetail";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "Qty",
	"m_strTable" => "stockoutdetail",
	"m_srcTableName" => "stockoutdetail"
));

$proto14["m_sql"] = "Qty";
$proto14["m_srcTableName"] = "stockoutdetail";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Price",
	"m_strTable" => "stockoutdetail",
	"m_srcTableName" => "stockoutdetail"
));

$proto16["m_sql"] = "Price";
$proto16["m_srcTableName"] = "stockoutdetail";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto18=array();
$proto18["m_link"] = "SQLL_MAIN";
			$proto19=array();
$proto19["m_strName"] = "stockoutdetail";
$proto19["m_srcTableName"] = "stockoutdetail";
$proto19["m_columns"] = array();
$proto19["m_columns"][] = "StockoutdetailID";
$proto19["m_columns"][] = "StockoutID";
$proto19["m_columns"][] = "ProductID";
$proto19["m_columns"][] = "Unitname";
$proto19["m_columns"][] = "Qty";
$proto19["m_columns"][] = "Price";
$obj = new SQLTable($proto19);

$proto18["m_table"] = $obj;
$proto18["m_sql"] = "stockoutdetail";
$proto18["m_alias"] = "";
$proto18["m_srcTableName"] = "stockoutdetail";
$proto20=array();
$proto20["m_sql"] = "";
$proto20["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto20["m_column"]=$obj;
$proto20["m_contained"] = array();
$proto20["m_strCase"] = "";
$proto20["m_havingmode"] = false;
$proto20["m_inBrackets"] = false;
$proto20["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto20);

$proto18["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto18);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="stockoutdetail";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_stockoutdetail = createSqlQuery_stockoutdetail();


	
		;

						

$tdatastockoutdetail[".sqlquery"] = $queryData_stockoutdetail;



$tdatastockoutdetail[".hasEvents"] = false;

?>